Loading...
Searching...
No Matches
_GtkIMHtmlClass Struct Reference

## Data Fields

GtkTextViewClass | parent_class
void(* | url_clicked )(GtkIMHtml *, const gchar *)
void(* | buttons_update )(GtkIMHtml *, GtkIMHtmlButtons)
void(* | toggle_format )(GtkIMHtml *, GtkIMHtmlButtons)
void(* | clear_format )(GtkIMHtml *)
void(* | update_format )(GtkIMHtml *)
gboolean(* | message_send )(GtkIMHtml *)
void(* | undo )(GtkIMHtml *)
void(* | redo )(GtkIMHtml *)
GList * | protocols

## Detailed Description

Definition at line 153 of file gtkimhtml.h.

## Field Documentation

## buttons_update

void(* _GtkIMHtmlClass::buttons_update) (GtkIMHtml *, GtkIMHtmlButtons)

Definition at line 157 of file gtkimhtml.h.

## clear_format

void(* _GtkIMHtmlClass::clear_format) (GtkIMHtml *)

Definition at line 159 of file gtkimhtml.h.

## message_send

gboolean(* _GtkIMHtmlClass::message_send) (GtkIMHtml *)

Definition at line 161 of file gtkimhtml.h.

## parent_class

GtkTextViewClass _GtkIMHtmlClass::parent_class

Definition at line 154 of file gtkimhtml.h.

## protocols

GList* _GtkIMHtmlClass::protocols

Definition at line 164 of file gtkimhtml.h.

## redo

void(* _GtkIMHtmlClass::redo) (GtkIMHtml *)

Definition at line 163 of file gtkimhtml.h.

## toggle_format

void(* _GtkIMHtmlClass::toggle_format) (GtkIMHtml *, GtkIMHtmlButtons)

Definition at line 158 of file gtkimhtml.h.

## undo

void(* _GtkIMHtmlClass::undo) (GtkIMHtml *)

Definition at line 162 of file gtkimhtml.h.

## update_format

void(* _GtkIMHtmlClass::update_format) (GtkIMHtml *)

Definition at line 160 of file gtkimhtml.h.

## url_clicked

void(* _GtkIMHtmlClass::url_clicked) (GtkIMHtml *, const gchar *)

Definition at line 156 of file gtkimhtml.h.

The documentation for this struct was generated from the following file:

- gtkimhtml.h